xml

## Class XMLTransformer

- java.lang.Object
- - xml.XMLTransformer

-     public class XMLTransformer
      extends java.lang.Object

  Performs XML transformation using an XSLT script supplied at construction time.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XMLTransformer.XMLTransformerException` Exception class for XSLT transformations.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLTransformer(java.lang.String xslturi)` Constructs a new transformer using the XSLT script at the given URI.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Element` | `doTransform(org.w3c.dom.Element srcel)` Applies this transform to the given input DOM element, returning the result also as a DOM element.
    `org.w3c.dom.Element` | `doTransform(javax.xml.transform.Source src)` Applies this transform to the given source, returning the result as a DOM element.
    `void` | `doTransform(javax.xml.transform.Source src, javax.xml.transform.Result rslt)` Applies this transform to the given source to produce the given result.
    `java.lang.String` | `doTransform(java.lang.String srcstr)` Applies this transform to the given input XML text, returning the result as a string.
    `void` | `doTransform(java.lang.String inf, java.lang.String outf)` Applies this transform to the given input XML file, producing the result in the given output file.
    `java.lang.String` | `elText(org.w3c.dom.Element el)` Returns the text of the given DOM element.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLTransformer

          public XMLTransformer(java.lang.String xslturi)
                         throws XMLTransformer.XMLTransformerException

      Constructs a new transformer using the XSLT script at the given URI.
      Throws:
        `XMLTransformer.XMLTransformerException`

  - ### Method Detail

    - #### elText

          public java.lang.String elText(org.w3c.dom.Element el)
                                  throws XMLTransformer.XMLTransformerException

      Returns the text of the given DOM element.
      Throws:
        `XMLTransformer.XMLTransformerException`

    - #### doTransform

          public void doTransform(java.lang.String inf,
                                  java.lang.String outf)
                           throws XMLTransformer.XMLTransformerException

      Applies this transform to the given input XML file, producing the result in the given output file.
      Throws:
        `XMLTransformer.XMLTransformerException`

    - #### doTransform

          public java.lang.String doTransform(java.lang.String srcstr)
                                       throws XMLTransformer.XMLTransformerException

      Applies this transform to the given input XML text, returning the result as a string.
      Throws:
        `XMLTransformer.XMLTransformerException`

    - #### doTransform

          public org.w3c.dom.Element doTransform(org.w3c.dom.Element srcel)
                                          throws XMLTransformer.XMLTransformerException

      Applies this transform to the given input DOM element, returning the result also as a DOM element.
      Throws:
        `XMLTransformer.XMLTransformerException`

    - #### doTransform

          public org.w3c.dom.Element doTransform(javax.xml.transform.Source src)
                                          throws XMLTransformer.XMLTransformerException

      Applies this transform to the given source, returning the result as a DOM element.
      Throws:
        `XMLTransformer.XMLTransformerException`

    - #### doTransform

          public void doTransform(javax.xml.transform.Source src,
                                  javax.xml.transform.Result rslt)
                           throws XMLTransformer.XMLTransformerException

      Applies this transform to the given source to produce the given result.
      Throws:
        `XMLTransformer.XMLTransformerException`